跳转至

证书管理接口

GET 查询证书配置域名

GET /prod-api/cdn/layer7/ssl/describeDomains

Body 请求参数

{}

请求参数

名称 位置 类型 必选 说明
Authorization header string -
body body object -

返回示例

200 Response

{
  "msg": "成功",
  "code": 200,
  "data": [
    {
      "id": 490,
      "port": 0,
      "domainName": "11.cc.com",
      "label": "11.cc.com:默认",
      "isActive": 0,
      "status": null,
      "source": null,
      "endTime": null
    },
    {
      "id": 495,
      "port": 0,
      "domainName": "111.33.cinm",
      "label": "111.33.cinm:默认",
      "isActive": 0,
      "status": null,
      "source": null,
      "endTime": null
    }
  ]
}

401 Response

{}

返回结果

状态码 状态码含义 说明 数据模型
200 OK - Inline
401 Unauthorized - Inline
403 Forbidden - Inline
404 Not Found - Inline

返回数据结构

状态码 200

名称 类型 必选 约束 中文名 说明
» msg string true - -
» code integer true - -
» data [object] true - -
»» id integer true - 域名 ID -
»» port integer true - 端口 -
»» domainName string true - 域名 -
»» label string true - 域名显示名称 -
»» isActive integer true - -
»» status string¦null true - 证书状态 issuing:表示颁发中
normal:表示正常
»» source integer¦null true - 证书来源 source:0 代表自有证书
source:1 代表托管证书
source:2 代表平台颁发
»» endTime string¦null true - 到期时间 -

数据模型